# frozen_string_literal: true

module RuboCop
  # RuboCop included the Rails cops directly before version 1.0.0.
  # We can remove them to avoid warnings about redefining constants.
  module Cop
    remove_const('Rails') if const_defined?('Rails', false)
  end
end

require_relative 'mixin/target_rails_version'

require_relative 'rails/action_filter'
require_relative 'rails/active_record_aliases'
require_relative 'rails/active_record_override'
require_relative 'rails/active_support_aliases'
require_relative 'rails/application_job'
require_relative 'rails/application_record'
require_relative 'rails/assert_not'
require_relative 'rails/belongs_to'
require_relative 'rails/blank'
require_relative 'rails/bulk_change_table'
require_relative 'rails/create_table_with_timestamps'
require_relative 'rails/date'
require_relative 'rails/delegate'
require_relative 'rails/delegate_allow_blank'
require_relative 'rails/dynamic_find_by'
require_relative 'rails/enum_uniqueness'
require_relative 'rails/environment_comparison'
require_relative 'rails/exit'
require_relative 'rails/file_path'
require_relative 'rails/find_by'
require_relative 'rails/find_each'
require_relative 'rails/has_and_belongs_to_many'
require_relative 'rails/has_many_or_has_one_dependent'
require_relative 'rails/helper_instance_variable'
require_relative 'rails/http_positional_arguments'
require_relative 'rails/http_status'
require_relative 'rails/ignored_skip_action_filter_option'
require_relative 'rails/inverse_of'
require_relative 'rails/lexically_scoped_action_filter'
require_relative 'rails/link_to_blank'
require_relative 'rails/not_null_column'
require_relative 'rails/output'
require_relative 'rails/output_safety'
require_relative 'rails/pluralization_grammar'
require_relative 'rails/presence'
require_relative 'rails/present'
require_relative 'rails/read_write_attribute'
require_relative 'rails/redundant_allow_nil'
require_relative 'rails/redundant_receiver_in_with_options'
require_relative 'rails/reflection_class_name'
require_relative 'rails/refute_methods'
require_relative 'rails/relative_date_constant'
require_relative 'rails/request_referer'
require_relative 'rails/reversible_migration'
require_relative 'rails/safe_navigation'
require_relative 'rails/save_bang'
require_relative 'rails/scope_args'
require_relative 'rails/skips_model_validations'
require_relative 'rails/time_zone'
require_relative 'rails/uniq_before_pluck'
require_relative 'rails/unknown_env'
require_relative 'rails/validation'
